org.wso2.carbon.dataservices.ui.stub

## Class DataServiceAdminCallbackHandler

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.DataServiceAdminCallbackHandler

-     public abstract class DataServiceAdminCallbackHandler
      extends Object

  DataServiceAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `clientData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceAdminCallbackHandler()` Please use this constructor if you don't want to set any clientData
    `DataServiceAdminCallbackHandler(Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getClientData()` Get the client data
    `void` | `receiveErrorgetAllRoles(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAllRoles operation
    `void` | `receiveErrorgetAvailableDS(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAvailableDS operation
    `void` | `receiveErrorgetCarbonDataSourceNames(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceNames operation
    `void` | `receiveErrorgetCarbonDataSourceNamesForTypes(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceNamesForTypes operation
    `void` | `receiveErrorgetCarbonDataSourceType(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceType operation
    `void` | `receiveErrorgetDataServiceContentAsString(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getDataServiceContentAsString operation
    `void` | `receiveErrorgetdbSchemaList(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getdbSchemaList operation
    `void` | `receiveErrorgetDSService(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getDSService operation
    `void` | `receiveErrorgetDSServiceList(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getDSServiceList operation
    `void` | `receiveErrorgetInputMappingNames(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getInputMappingNames operation
    `void` | `receiveErrorgetOutputColumnNames(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getOutputColumnNames operation
    `void` | `receiveErrorgetPaginatedSchemaInfo(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getPaginatedSchemaInfo operation
    `void` | `receiveErrorgetPaginatedTableInfo(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getPaginatedTableInfo operation
    `void` | `receiveErrorgetTableList(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getTableList operation
    `void` | `receiveErrorisDSNameAvailable(Exception e)` auto generated Axis2 Error handler override this method for handling error response from isDSNameAvailable operation
    `void` | `receiveErrortestGSpreadConnection(Exception e)` auto generated Axis2 Error handler override this method for handling error response from testGSpreadConnection operation
    `void` | `receiveErrortestJDBCConnection(Exception e)` auto generated Axis2 Error handler override this method for handling error response from testJDBCConnection operation
    `void` | `receiveErrorvalidateJSONMapping(Exception e)` auto generated Axis2 Error handler override this method for handling error response from validateJSONMapping operation
    `void` | `receiveResultgetAllRoles(String[] result)` auto generated Axis2 call back method for getAllRoles method override this method for handling normal response from getAllRoles operation
    `void` | `receiveResultgetAvailableDS(String[] result)` auto generated Axis2 call back method for getAvailableDS method override this method for handling normal response from getAvailableDS operation
    `void` | `receiveResultgetCarbonDataSourceNames(String[] result)` auto generated Axis2 call back method for getCarbonDataSourceNames method override this method for handling normal response from getCarbonDataSourceNames operation
    `void` | `receiveResultgetCarbonDataSourceNamesForTypes(String[] result)` auto generated Axis2 call back method for getCarbonDataSourceNamesForTypes method override this method for handling normal response from getCarbonDataSourceNamesForTypes operation
    `void` | `receiveResultgetCarbonDataSourceType(String result)` auto generated Axis2 call back method for getCarbonDataSourceType method override this method for handling normal response from getCarbonDataSourceType operation
    `void` | `receiveResultgetDataServiceContentAsString(String result)` auto generated Axis2 call back method for getDataServiceContentAsString method override this method for handling normal response from getDataServiceContentAsString operation
    `void` | `receiveResultgetdbSchemaList(String[] result)` auto generated Axis2 call back method for getdbSchemaList method override this method for handling normal response from getdbSchemaList operation
    `void` | `receiveResultgetDSService(String result)` auto generated Axis2 call back method for getDSService method override this method for handling normal response from getDSService operation
    `void` | `receiveResultgetDSServiceList(String[] result)` auto generated Axis2 call back method for getDSServiceList method override this method for handling normal response from getDSServiceList operation
    `void` | `receiveResultgetInputMappingNames(String[] result)` auto generated Axis2 call back method for getInputMappingNames method override this method for handling normal response from getInputMappingNames operation
    `void` | `receiveResultgetOutputColumnNames(String[] result)` auto generated Axis2 call back method for getOutputColumnNames method override this method for handling normal response from getOutputColumnNames operation
    `void` | `receiveResultgetPaginatedSchemaInfo(PaginatedTableInfo result)` auto generated Axis2 call back method for getPaginatedSchemaInfo method override this method for handling normal response from getPaginatedSchemaInfo operation
    `void` | `receiveResultgetPaginatedTableInfo(PaginatedTableInfo result)` auto generated Axis2 call back method for getPaginatedTableInfo method override this method for handling normal response from getPaginatedTableInfo operation
    `void` | `receiveResultgetTableList(String[] result)` auto generated Axis2 call back method for getTableList method override this method for handling normal response from getTableList operation
    `void` | `receiveResultisDSNameAvailable(boolean result)` auto generated Axis2 call back method for isDSNameAvailable method override this method for handling normal response from isDSNameAvailable operation
    `void` | `receiveResulttestGSpreadConnection(String result)` auto generated Axis2 call back method for testGSpreadConnection method override this method for handling normal response from testGSpreadConnection operation
    `void` | `receiveResulttestJDBCConnection(String result)` auto generated Axis2 call back method for testJDBCConnection method override this method for handling normal response from testJDBCConnection operation
    `void` | `receiveResultvalidateJSONMapping(String result)` auto generated Axis2 call back method for validateJSONMapping method override this method for handling normal response from validateJSONMapping operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### DataServiceAdminCallbackHandler

          public DataServiceAdminCallbackHandler(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### DataServiceAdminCallbackHandler

          public DataServiceAdminCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultisDSNameAvailable

          public void receiveResultisDSNameAvailable(boolean result)

      auto generated Axis2 call back method for isDSNameAvailable method override this method for handling normal response from isDSNameAvailable operation

    - #### receiveErrorisDSNameAvailable

          public void receiveErrorisDSNameAvailable(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from isDSNameAvailable operation

    - #### receiveResultgetAvailableDS

          public void receiveResultgetAvailableDS(String[] result)

      auto generated Axis2 call back method for getAvailableDS method override this method for handling normal response from getAvailableDS operation

    - #### receiveErrorgetAvailableDS

          public void receiveErrorgetAvailableDS(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAvailableDS operation

    - #### receiveResulttestGSpreadConnection

          public void receiveResulttestGSpreadConnection(String result)

      auto generated Axis2 call back method for testGSpreadConnection method override this method for handling normal response from testGSpreadConnection operation

    - #### receiveErrortestGSpreadConnection

          public void receiveErrortestGSpreadConnection(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from testGSpreadConnection operation

    - #### receiveResultgetAllRoles

          public void receiveResultgetAllRoles(String[] result)

      auto generated Axis2 call back method for getAllRoles method override this method for handling normal response from getAllRoles operation

    - #### receiveErrorgetAllRoles

          public void receiveErrorgetAllRoles(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllRoles operation

    - #### receiveResultgetDataServiceContentAsString

          public void receiveResultgetDataServiceContentAsString(String result)

      auto generated Axis2 call back method for getDataServiceContentAsString method override this method for handling normal response from getDataServiceContentAsString operation

    - #### receiveErrorgetDataServiceContentAsString

          public void receiveErrorgetDataServiceContentAsString(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getDataServiceContentAsString operation

    - #### receiveResultgetdbSchemaList

          public void receiveResultgetdbSchemaList(String[] result)

      auto generated Axis2 call back method for getdbSchemaList method override this method for handling normal response from getdbSchemaList operation

    - #### receiveErrorgetdbSchemaList

          public void receiveErrorgetdbSchemaList(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getdbSchemaList operation

    - #### receiveResultvalidateJSONMapping

          public void receiveResultvalidateJSONMapping(String result)

      auto generated Axis2 call back method for validateJSONMapping method override this method for handling normal response from validateJSONMapping operation

    - #### receiveErrorvalidateJSONMapping

          public void receiveErrorvalidateJSONMapping(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from validateJSONMapping operation

    - #### receiveResultgetInputMappingNames

          public void receiveResultgetInputMappingNames(String[] result)

      auto generated Axis2 call back method for getInputMappingNames method override this method for handling normal response from getInputMappingNames operation

    - #### receiveErrorgetInputMappingNames

          public void receiveErrorgetInputMappingNames(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getInputMappingNames operation

    - #### receiveResultgetPaginatedTableInfo

          public void receiveResultgetPaginatedTableInfo(PaginatedTableInfo result)

      auto generated Axis2 call back method for getPaginatedTableInfo method override this method for handling normal response from getPaginatedTableInfo operation

    - #### receiveErrorgetPaginatedTableInfo

          public void receiveErrorgetPaginatedTableInfo(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getPaginatedTableInfo operation

    - #### receiveResultgetCarbonDataSourceType

          public void receiveResultgetCarbonDataSourceType(String result)

      auto generated Axis2 call back method for getCarbonDataSourceType method override this method for handling normal response from getCarbonDataSourceType operation

    - #### receiveErrorgetCarbonDataSourceType

          public void receiveErrorgetCarbonDataSourceType(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceType operation

    - #### receiveResultgetPaginatedSchemaInfo

          public void receiveResultgetPaginatedSchemaInfo(PaginatedTableInfo result)

      auto generated Axis2 call back method for getPaginatedSchemaInfo method override this method for handling normal response from getPaginatedSchemaInfo operation

    - #### receiveErrorgetPaginatedSchemaInfo

          public void receiveErrorgetPaginatedSchemaInfo(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getPaginatedSchemaInfo operation

    - #### receiveResulttestJDBCConnection

          public void receiveResulttestJDBCConnection(String result)

      auto generated Axis2 call back method for testJDBCConnection method override this method for handling normal response from testJDBCConnection operation

    - #### receiveErrortestJDBCConnection

          public void receiveErrortestJDBCConnection(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from testJDBCConnection operation

    - #### receiveResultgetDSServiceList

          public void receiveResultgetDSServiceList(String[] result)

      auto generated Axis2 call back method for getDSServiceList method override this method for handling normal response from getDSServiceList operation

    - #### receiveErrorgetDSServiceList

          public void receiveErrorgetDSServiceList(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getDSServiceList operation

    - #### receiveResultgetOutputColumnNames

          public void receiveResultgetOutputColumnNames(String[] result)

      auto generated Axis2 call back method for getOutputColumnNames method override this method for handling normal response from getOutputColumnNames operation

    - #### receiveErrorgetOutputColumnNames

          public void receiveErrorgetOutputColumnNames(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getOutputColumnNames operation

    - #### receiveResultgetDSService

          public void receiveResultgetDSService(String result)

      auto generated Axis2 call back method for getDSService method override this method for handling normal response from getDSService operation

    - #### receiveErrorgetDSService

          public void receiveErrorgetDSService(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getDSService operation

    - #### receiveResultgetCarbonDataSourceNamesForTypes

          public void receiveResultgetCarbonDataSourceNamesForTypes(String[] result)

      auto generated Axis2 call back method for getCarbonDataSourceNamesForTypes method override this method for handling normal response from getCarbonDataSourceNamesForTypes operation

    - #### receiveErrorgetCarbonDataSourceNamesForTypes

          public void receiveErrorgetCarbonDataSourceNamesForTypes(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceNamesForTypes operation

    - #### receiveResultgetCarbonDataSourceNames

          public void receiveResultgetCarbonDataSourceNames(String[] result)

      auto generated Axis2 call back method for getCarbonDataSourceNames method override this method for handling normal response from getCarbonDataSourceNames operation

    - #### receiveErrorgetCarbonDataSourceNames

          public void receiveErrorgetCarbonDataSourceNames(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getCarbonDataSourceNames operation

    - #### receiveResultgetTableList

          public void receiveResultgetTableList(String[] result)

      auto generated Axis2 call back method for getTableList method override this method for handling normal response from getTableList operation

    - #### receiveErrorgetTableList

          public void receiveErrorgetTableList(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getTableList operation

Copyright © 2019 WSO2. All rights reserved.